Update Item Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/items/{itemId}/descriptions/{salesChannelId}/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy.",
"SeoPath": "Interdimensional-goggles",
"SeoMetaDescription": "A meta description",
"SeoTitleTag": "Interdimensional goggles",
"SeoMetaKeywords": "Interdimensional, Vision, Goggles"
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/descriptions/{salesChannelId}/{languageIso}"
payload = {
"Name": "Interdimensional goggles",
"Description": "These goggles are a must have product. Everyone needs them. Buy them.",
"ShortDescription": "The best goggles anyone can buy.",
"SeoPath": "Interdimensional-goggles",
"SeoMetaDescription": "A meta description",
"SeoTitleTag": "Interdimensional goggles",
"SeoMetaKeywords": "Interdimensional, Vision, Goggles"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'Interdimensional goggles',
Description: 'These goggles are a must have product. Everyone needs them. Buy them.',
ShortDescription: 'The best goggles anyone can buy.',
SeoPath: 'Interdimensional-goggles',
SeoMetaDescription: 'A meta description',
SeoTitleTag: 'Interdimensional goggles',
SeoMetaKeywords: 'Interdimensional, Vision, Goggles'
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/descriptions/{salesChannelId}/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Update Item Description
Update a specific description for a given item
PATCH
/
items
/
{itemId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Update Item Description
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales channel that the descriptions belong to.
The iso code of the language that the descriptions belong to.
Body
application/json
The item to update.
Model Class: UpdateItemDescription
Example:
"Interdimensional goggles"
Example:
"These goggles are a must have product. Everyone needs them. Buy them."
Example:
"The best goggles anyone can buy."
Example:
"Interdimensional-goggles"
Example:
"A meta description"
Example:
"Interdimensional goggles"
Example:
"Interdimensional, Vision, Goggles"
Response
Was this page helpful?
⌘I